require 'sinatra'
require 'json'
require "shellver/version"

module Shellver
  class Shellver < Sinatra::Base
    set :root, '.'
    set :static, true
    set :public_folder, root

    post '/' do
      content_type :json

      result = `#{params[:command]}`
      exitstatus = $?.exitstatus

      { result: result, exitstatus: exitstatus }.to_json
    end
  end

  Shellver.run!
end
